# $Revision: 1.98 $, $Date: 2007/11/05 00:21:39 $
#
# Conditional build
%bcond_without	esound		# build without esound plugin
%bcond_without	flac		# build without FLAC plugin
%bcond_without	jack		# build without jack plugin
%bcond_without	mikmod		# build without mikmod plugin
%bcond_without	nas		# build without nas plugin
#
Summary:	Alsaplayer - CD/FLAC/MOD/MP3/Ogg/WAV player
Summary(pl.UTF-8):	Alsaplayer - odtwarzacz CD/FLAC/MOD/MP3/Ogg/WAV
Name:		alsaplayer
Version:	0.99.80
Release:	1
License:	GPLv3
Group:		Applications/Sound
Source0:	http://www.alsaplayer.org/%{name}-%{version}.tar.bz2
# Source0-md5:	04f8c2321a37d15f40f9ee21251c6202
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-docs.patch
URL:		http://www.alsaplayer.org/
BuildRequires:	OpenGL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esound:BuildRequires:	esound-devel >= 0.2.4}
%{?with_flac:BuildRequires:	flac-c++-devel >= 1.2.0}
BuildRequires:	gtk+2-devel >= 1:2.0.3
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel >= 0.69.1}
%{?with_flac:BuildRequires:	libid3tag-devel}
BuildRequires:	libmad-devel
%{?with_mikmod:BuildRequires:	libmikmod-devel}
BuildRequires:	libsndfile-devel >= 1.0.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
BuildRequires:	xosd-devel
Requires(post):	/sbin/ldconfig
Requires:	alsaplayer_output
Requires:	alsaplayer_ui
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_pkglibdir	%{_libdir}/%{name}

%description
AlsaPlayer is a new type of PCM player. It is heavily multi-threaded
and tries to exercise the ALSA library and driver quite a bit.
Features include:

Input addons:
- MP2 and MP3 support
- Ogg Vorbis support (subpackage)
- WAV support, 8-, 16-bit, mono, stereo, any sample rate
- CDDA support, CD Digital Audio playback! and thus USB ready :)
- Also plays files mapped by audiofs (CDDA)
- MAD MPEG audio
- Module support (mikmod) (subpcakage)
- FLAC support

Output addons:
- ALSA. Best supported of course :) (subpackage)
- OSS. Kernel native sound drivers
- Sparc. UltraSparc sound drivers
- SGI. SGI audio library driver
- ESD. Enlightened sound daemon support (subpackage)
- NAS. Network Audio System (subpakcage)
- low latency JACK output
- null :-)

Visual scopes:
- Stereoscope
- Monoscope
- Levelmeter
- Spacescope
- FFTscope
- FFTscope II
- Spectrum GL

General features:
- Full speed (pitch) control, positive *and* negative! (First Linux
  player that does this!! MP3's and CD's do varispeed :)
- Queue (playlist) support
- Concurrent visual scopes (open as many as you want)
- Multi-threaded design for efficient/skip free playback (RT)
- GUI Interface based on GTK+
- NOGUI operation for shell script usage
- On-screen-display based on xosd
- Plug-in core architecture
- Low latency mode, as low as 5ms when scheduled RT
- Effects stream
- Software based volume/pan control
- Accurate scope/audio syncing using ALSA features

%description -l pl.UTF-8
AlsaPlayer to nowy rodzaj odtwarzacza PCM. Jest wielowątkowy i próbuje
solidnie przećwiczyć sterowniki i bibliotekę ALSA. Jego cechy to:

Wejście:
- obsługa MP2 i MP3
- obsługa Ogg Vorbis (w podpakiecie)
- obsługa WAV, 8 i 16-bitowych, mono, stereo o dowolnej częstotliwości
- obsługa CD Digital Audio
- odtwarzanie plików podmapowanych przez audiofs (CDDA)
- obsługa MAD - MPEG Audio
- obsługa modułów (mikmod) (w podpakiecie)
- obsług bezstratnej kompresji dźwięku FLAC

Wyjście:
- OSS - natywne sterowniki z jądra
- ALSA - oczywiście najlepiej obsługiwana :) (w podpakiecie)
- Sparc - sterowniki dźwięku dla UltraSparca
- SGI - biblioteka sterowników dźwięku SGI
- ESD - obsługa Oświeconego demona dźwięku (w podpakiecie)
- NAS - Sieciowego Systemu Audio (w podpakiecie)
- JACK - zestaw połączeń dźwięku o małych opóźnieniach (w podpakiecie)
- null :-)

Wizualizacja:
- Stereoskop
- Monoskop
- Wskaźnik poziomu dźwięku
- Wskaźniki oparte o analizę FFT
- analizator spektrum sygnału w oparciu o OpenGL

Ogólne cechy:
- Kontrola szybkości (w obie strony)
- obsługa kolejki (playlisty)
- obsługa wielu wskaźników naraz
- wielowątkowość
- interfejs graficzny bazujący na GTK+
- operacje bez GUI na potrzeby skryptów
- tryb Informacje-na-ekranie oparty o xosd
- architektura wtyczek
- tryb "czasu rzeczywistego" dający opóźnienia rzędu 5ms
- programowa kontrola głośności i balansu
- synchronizacja dźwięku i wskaźników przy użyciu możliwości ALSA

%package daemon
Summary:	Deamon interface for Alsaplayer
Summary(pl.UTF-8):	Interfejs demona alsaplayera
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description daemon
Deamon interface for Alsaplayer.

%description daemon -l pl.UTF-8
Interfejs demona alsaplayera.

%package input-audiofile
Summary:	Alsaplayer plugin for playing WAVE audio formats using audiofile
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików audio typu WAVE przy użyciu audiofile
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-audiofile
Alsaplayer plugin for playing WAVE audio formats (like AIFF, AIFC,
WAVE, ...) using audiofile library.

%description input-audiofile -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania plików audio typu WAVE (AIFF,
AIFC, WAVE, ...) przy użyciu biblioteki audiofile.

%package input-flac
Summary:	Alsaplayer plugin for playing FLAC files
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików FLAC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-flac
Alsaplayer plugin for playing FLAC files.

%description input-flac -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania plików FLAC.

%package input-mad
Summary:	Alsaplayer plugin for playing MP3 files using MAD
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików MP3 przy pomocy MAD
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-mad
Alsaplayer plugin for playing MP3 files using MAD.

%description input-mad -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania plików MP3 przy pomocy MAD.

%package input-mikmod
Summary:	Alsaplayer plugin for playing mod files
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików mod
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-mikmod
Alsaplayer plugin for playing mod files.

%description input-mikmod -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania plików mod.

%package input-sndfile
Summary:	Alsaplayer plugin for playing WAVE audio formats using libsndfile
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików audio typu WAVE przy użyciu libsndfile
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-sndfile
Alsaplayer plugin for playing WAVE audio formats (like AIFF, AIFC,
WAVE, ...) using libsndfile library.

%description input-sndfile -l pl.UTF-8
Wtyczka do alsaplayera do odtwarzania plików audio typu WAVE (AIFF,
AIFC, WAVE, ...) przy użyciu biblioteki libsndfile.

%package input-vorbis
Summary:	Alsaplayer plugin for playing Ogg/Vorbis files
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania plików Ogg/Vorbis
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description input-vorbis
Alsaplayer plugin for playing Ogg/Vorbis files.

%description input-vorbis -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania plików Ogg/Vorbis.

%package interface-gtk2
Summary:	GTK+ 2 interface for Alsaplayer
Summary(pl.UTF-8):	Interfejs GTK+ 2 alsaplayera
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_ui

%description interface-gtk2
GTK+ 2 interface for Alsaplayer.

%description interface-gtk2 -l pl.UTF-8
Interfejs GTK+2 alsaplayera.

%package interface-text
Summary:	Text interface for Alsaplayer
Summary(pl.UTF-8):	Interfejs tekstowy alsaplayera
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_ui

%description interface-text
Text interface for Alsaplayer.

%description interface-text -l pl.UTF-8
Interfejs tekstowy alsaplayera.

%package interface-xosd
Summary:	xosd interface for Alsaplayer
Summary(pl.UTF-8):	Interfejs xosd alsaplayera
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_ui

%description interface-xosd
xosd interface for Alsaplayer.

%description interface-xosd -l pl.UTF-8
Interfejs xosd alsaplayera.

%package output-alsa
Summary:	Alsaplayer plugin for playing through alsa drivers
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania przez sterowniki alsa
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_output

%description output-alsa
Alsaplayer plugin for playing sound through alsa drivers.

%description output-alsa -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania dźwięku przez sterowniki alsa.

%package output-esound
Summary:	Alsaplayer plugin for playing through esound daemon
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania przez demona esound
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_output

%description output-esound
Alsaplayer plugin for playing sound through esound daemon.

%description output-esound -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania dźwięku przez demona esound.

%package output-nas
Summary:	Alsaplayer plugin for playing through NAS daemon
Summary(pl.UTF-8):	Wtyczka do alsaplayera do odtwarzania przez demona NAS
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_output

%description output-nas
Alsaplayer plugin for playing sound through NAS (network audio system)
daemon.

%description output-nas -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania dźwięku przez demona NAS (network
audio system).

%package output-jack
Summary:	Alsaplayer plugin for playing sound through JACK
Summary(pl.UTF-8):	Wtyczka alsaplayera do odtwarzania dźwięku przez JACK-a
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	alsaplayer_output

%description output-jack
Alsaplayer plugin for sound through JACK system.

%description output-jack -l pl.UTF-8
Wtyczka alsaplayera do odtwarzania dźwięku przez system JACK.

%package scopes2-gtk
Summary:	Alsaplayer plugins for visualization
Summary(pl.UTF-8):	Wtyczki alsaplayera do wizualizacji
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Obsoletes:	alsaplayer-scopes-gtk

%description scopes2-gtk
Alsaplayer plugins for visualization.

%description scopes2-gtk -l pl.UTF-8
Wtyczki do alsaplayera do wizualizacji.

%package scopes2-opengl
Summary:	Alsaplayer plugin for visualization using OpenGL
Summary(pl.UTF-8):	Wtyczka alsaplayera do wizualizacji z użyciem OpenGL
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL
Obsoletes:	alsaplayer-scopes-opengl

%description scopes2-opengl
Alsaplayer plugin for visualization using OpenGL.

%description scopes2-opengl -l pl.UTF-8
Wtyczka do alsaplayera do wizualizacji z użyciem OpenGL.

%package devel
Summary:	Alsaplayer header files
Summary(pl.UTF-8):	Pliki nagłówkowe Alsaplayera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Alsaplayer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Alsaplayera.

%package static
Summary:	Alsaplayer static library
Summary(pl.UTF-8):	Biblioteka statyczna Alsaplayera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Alsaplayer static library.

%description static -l pl.UTF-8
Biblioteka statyczna Alsaplayera.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS=" -I/usr/X11R6/include"
LDFLAGS="%{rpmldflags} -L/usr/X11R6/lib"
export CPPFLAGS LDFLAGS
%configure \
	%{?with_esound:--en}%{!?with_esound:--dis}able-esd \
	%{?with_flac:--en}%{!?with_flac:--dis}able-flac \
	%{?with_flac:--en}%{!?with_flac:--dis}able-oggflac \
	%{?with_jack:--en}%{!?with_jack:--dis}able-jack \
	%{?with_mikmod:--en}%{!?with_mikmod:--dis}able-mikmod \
	%{?with_nas:--en}%{!?with_nas:--dis}able-nas \
	%{?with_esound:--en}%{!?with_esound:--dis}able-esd \
	--enable-alsa \
	--enable-audiofile \
	--enable-gtk2 \
	--enable-oggflac \
	--enable-oggvorbis \
	--enable-opengl \
	--enable-oss \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f $RPM_BUILD_ROOT%{_pkglibdir}/input/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_pkglibdir}/interface/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_pkglibdir}/output/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_pkglibdir}/reader/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_pkglibdir}/scopes2/*.{a,la}

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo
echo "Remember to install appropriate alsaplayer-input-* plugins"
echo "for files you want to play, for example:"
echo "alsaplayer-input-mad to play MP3s."
echo

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_bindir}/alsaplayer
%attr(755,root,root) %{_libdir}/libalsaplayer.so.0.0.2
%dir %{_pkglibdir}
%dir %{_pkglibdir}/input
%dir %{_pkglibdir}/interface
%dir %{_pkglibdir}/output
%dir %{_pkglibdir}/reader
%dir %{_pkglibdir}/scopes2
%attr(755,root,root) %{_pkglibdir}/input/libcdda.so
%attr(755,root,root) %{_pkglibdir}/input/libwav.so
%attr(755,root,root) %{_pkglibdir}/output/liboss_out.so
%attr(755,root,root) %{_pkglibdir}/output/libnull_out.so
%attr(755,root,root) %{_pkglibdir}/reader/libfile.so
%attr(755,root,root) %{_pkglibdir}/reader/libhttp.so
%{_mandir}/man*/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files daemon
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/interface/libdaemon_interface.so

%files interface-gtk2
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/interface/libgtk2_interface.so

%files interface-text
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/interface/libtext_interface.so

%files interface-xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/interface/libxosd_interface.so

%files input-audiofile
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libaf.so

%if %{with flac}
%files input-flac
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libflac_in.so
%endif

%files input-mad
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libmad_in.so

%if %{with mikmod}
%files input-mikmod
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libmod.so
%endif

%files input-sndfile
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libsndfile_in.so

%files input-vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/input/libvorbis_in.so

%files output-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/output/libalsa_out.so

%if %{with esound}
%files output-esound
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/output/libesound_out.so
%endif

%if %{with jack}
%files output-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/output/libjack_out.so
%endif

%if %{with nas}
%files output-nas
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/output/libnas_out.so
%endif

%files scopes2-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/scopes2/libblurscope.so
%attr(755,root,root) %{_pkglibdir}/scopes2/liblevelmeter.so
%attr(755,root,root) %{_pkglibdir}/scopes2/liblogbarfft.so
%attr(755,root,root) %{_pkglibdir}/scopes2/libmonoscope.so
%attr(755,root,root) %{_pkglibdir}/scopes2/libspacescope.so
%attr(755,root,root) %{_pkglibdir}/scopes2/libsynaescope.so

%files scopes2-opengl
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/scopes2/liboglspectrum.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libalsaplayer.so
%{_libdir}/libalsaplayer.la
%{_includedir}/alsaplayer
%{_pkgconfigdir}/alsaplayer.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libalsaplayer.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsaplayer.spec,v $
Revision 1.98  2007/11/05 00:21:39  twittner
- up to 0.99.80 (final)

Revision 1.97  2007/09/05 11:41:53  baggins
- removed obsolete patch

Revision 1.96  2007/09/05 11:39:14  baggins
- updated BR

Revision 1.95  2007/09/05 11:38:25  baggins
- up to 0.99.80-rc2
- gtk1 interface is gone

Revision 1.94  2007/02/15 17:50:33  qboosh
- package gtk2 interface

Revision 1.93  2007/02/13 14:17:07  sls
- ver. 0.99.77
- updated source URL

Revision 1.92  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.91  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.90  2007/01/03 01:46:40  sls
- added patch flac; BR: flac-devel >= 1.1.3
- rel 5

Revision 1.89  2005/09/11 18:45:54  darekr
- use install without obsolete -c option

Revision 1.88  2005/03/16 11:00:13  havner
- rel 4 for flac rebuild

Revision 1.87  2004/11/26 18:25:05  qboosh
- postun dep is autogenerated here
- strict internal deps

Revision 1.86  2004/11/26 14:02:54  paladine
- spaces->tabs
- reguire ldconfig also in postun

Revision 1.85  2004/11/04 19:36:11  ankry
- pl fix

Revision 1.84  2004/10/28 12:47:06  paladine
- "FLAC" unification

Revision 1.83  2004/10/28 11:36:30  paladine
- "Ogg" and "Vorbis" unification

Revision 1.82  2004/10/28 11:08:12  paladine
- "WAV" unification

Revision 1.81  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.80  2004/10/25 08:49:32  paladine
- [Gg]tk+ -> GTK+

Revision 1.79  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.78  2004/10/01 11:07:06  paladine
- rel 3 for fixed desktop file

Revision 1.77  2004/01/20 18:26:04  qboosh
- sparc driver is not for Linux (uses <sys/audioio.h>); release 2

Revision 1.76  2003/12/13 23:53:50  freetz
- esound, flac, jack, mikmod, nas bconds added
- post install message (about input-plugins)
- provides/requires alsaplayer_ui, alsaplayer_output
- icon added
- rel.1

Revision 1.75  2003/12/13 16:33:08  freetz
- 0.99.76
  NFY (builds and works for now, needs some polishing, bcond etc.)

Revision 1.74  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.73  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.72  2003/08/11 20:44:51  ankry
cosmetics

Revision 1.71  2003/08/06 16:08:08  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.70  2003/07/14 23:18:32  qboosh
- some cleanups/fixes in descriptions
- -static R: -devel

Revision 1.69  2003/07/10 18:38:25  freetz
- added .desktop
- cleanups

Revision 1.68  2003/07/09 20:39:14  freetz
- typos

Revision 1.67  2003/07/09 20:31:52  freetz
- subpackage interface-daemon renamed to daemon
- updated descriptions
- TODO cleanup

Revision 1.66  2003/07/08 18:09:38  freetz
- merged lib subpackage into main package
- added missing BRs
- scopes-opengl added R: OpenGL
- removed unneeded *.la and *.a
- added post/postun
- corrected bogus descriptions
- added smoe infos about new subpackages into main descsription
- typos

Revision 1.65  2003/07/07 23:06:31  freetz
- up to 0.99.75 version
- major spec reconstrutcion
- added gcc33 patch
- added missing URL
- added flac, jack, daemon, sndfile, text, xosd subpackages
- sorted descriptions list
- removed obsoleted descriptions and other obsoleted stuff
  note: it's still unfinished, look at TODO list

Revision 1.64  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.63  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/02/28 10:07:08  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.61  2003/02/24 09:10:16  wiget
- up to 0.99.74

Revision 1.60  2003/02/01 10:43:21  migo
- typos in %description

Revision 1.59  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.58  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.57  2002/12/03 19:37:06  qboosh
- typos

Revision 1.56  2002/12/02 22:08:27  ankry
- pl Summary/description fixes
- adapterized

Revision 1.55  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.54  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/09/18 13:54:53  wiget
- updated to 0.99.72
- removed curl reader (removed from sources)

Revision 1.52  2002/07/23 17:13:29  wiget
- BR curl-devel and OpenGL-devel

Revision 1.51  2002/07/23 17:04:53  kloczek
- release 2: rebuild against final libvorbis 1.0 (other TODO aren't showstoppers)

Revision 1.50  2002/07/18 15:13:35  wiget
- fix building OpenGL scope and move to scopes-opengl subpackage
- move MAD plugin to separate subpackage (input-mad)
- add readers plugins and separate only curl plugin to subpackage
- move non-OpenGL scopes to scopes-gtk subpackage
- move GTK+ frontend to interaface-gtk subpackage
- add lib subpackage with library for remote control
- add devel subpackage
- add missing dirs to main package
- release 1.1 (flush TODO at top of file and change to next integer)

Revision 1.49  2002/07/12 16:24:38  kloczek
- updated to 0.99.71 (bugfixes),
- removed integrated in current version c++ and alsa patches.

Revision 1.48  2002/07/09 19:33:19  mmazur
- nas plugin builds on ppc... and no... I'm not going to bump rel

Revision 1.47  2002/06/19 12:43:41  marcus
- NAS support on ppc is temporarly disabled (ac/am need fixes)
- rel.3.

Revision 1.46  2002/05/23 20:16:05  filon
- added alsa patch fixing build of alsa 0.5.x plugin
- now should build on HEAD too
- release 2

Revision 1.45  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.44  2002/05/21 21:22:34  kloczek
- use new %doc packing infrastructure.

Revision 1.43  2002/05/21 05:05:41  filon
- updated to 0.99.70
- updated files list
- added c++ patch (works with gcc31 now)

Revision 1.42  2002/05/14 22:10:50  kloczek
- move gzipping %doc to %build (spec now is --short-circuit ready).

Revision 1.41  2002/05/06 12:09:24  filon
- typo while making last changes, fixed, STBR

Revision 1.40  2002/05/03 21:29:22  filon
- cosmetics in files

Revision 1.39  2002/05/03 21:16:23  filon
- modularised alsaplayer package
  (5 input, and 3 output packages                )
  (plugins giving base functionality kept in main)
- build reirement for nas-devel
- added nas.patch to fix building nas plugin
- added docs patch for not install unneeded doxygen docs
- many cosmetic changes
- removed req: gtk+ it is resolved automaticaly
- release 2, STBR

Revision 1.38  2002/05/02 20:06:23  filon
- updated to 0.99.60
- c++ patch is not needed now (removed all entries)

Revision 1.37  2002/04/25 15:43:37  arturs
fixed a small typo

Revision 1.36  2002/04/24 23:05:39  kloczek
- updated to 0.99.59 and added regenerate also am files.

Revision 1.35  2002/04/24 21:52:39  marcus
- rel.2.

Revision 1.34  2002/04/23 07:52:15  arturs
License field change

Revision 1.33  2002/04/12 23:28:17  marcus
- added BR mad-devel

Revision 1.32  2002/04/07 08:13:48  filon
- updated to 0.99.58

Revision 1.31  2002/03/29 20:34:49  filon
- updated to 0.99.57 (bugfixes)
- removed c++ patch, not needed anymore

Revision 1.30  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/08 10:56:26  filon
- updated to 0.99.53 (previous was cvs snapshot release)

Revision 1.27  2002/01/29 22:32:15  klakier
- Requires: gtk+ not gtk+-devel

Revision 1.26  2002/01/24 19:16:22  filon
- added c++ patch for builing it with gcc3

Revision 1.25  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/17 14:02:49  ankry
- fixed source address

Revision 1.23  2002/01/17 11:48:01  filon
- fixed source adress

Revision 1.22  2002/01/16 11:55:41  filon
- updated to 0.99.52
- updated desriptions, there are new plugins
- updated buildreqs (+ libvorbis)

Revision 1.21  2001/10/31 11:24:00  qboosh
- pl translations

Revision 1.20  2001/10/06 16:47:23  blues
- release 2
- ac2.5 ready (BR added)

Revision 1.19  2001/10/01 08:49:51  marcus
- s/%%configure/%%configure2_13/g

Revision 1.18  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.17  2000/07/30 08:57:08  kloczek
- spec adapterized.

Revision 1.16  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/27 22:46:10  michuz
- removed %%date redefinitions

Revision 1.13  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.12  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.11  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.9  2000/03/03 11:09:43  wiget
- make buildable but probably need more work

Revision 1.8  2000/03/02 18:29:18  misiek
- updated to .31

Revision 1.7  1999/12/25 10:52:21  alchemyx
- added missing BuildRequires

Revision 1.5  1999/09/21 03:55:10  kloczek
- partialy rewrited.

Revision 1.4  1999/09/19 12:30:29  pius
- added CVS keywords on top of the spec file

Revision 1.3  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
